package com.peetz.library.dal;

import java.util.Collection;

import javax.ejb.Local;

import com.peetz.library.entity.BookEntity;

@Local
public interface BookDao {
	public BookEntity findById(Long id);
	public Collection<BookEntity> findByIds(Collection<Long> ids);
	public BookEntity store(BookEntity entity);
	public void delete(BookEntity entity);
}
